Bug 601405 - CVE-2010-2156 dhcp: remote DoS via zero-length client ID [fedora-all]
CVE-2010-2156 dhcp: remote DoS via zero-length client ID [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2010-2156
  Show dependency treegraph
 
Reported: 2010-06-07 17:23 EDT by Vincent Danen
Modified: 2010-06-24 12:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: dhcp-4.1.1-17.P1.fc12
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-24 12:19:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-06-07 17:23:54 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

Forr more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=601403

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Jiri Popelka 2010-06-08 06:22:23 EDT
dhcp-4.1.1-17.P1.fc12 has been already pushed to the Fedora 12 testing repository.
https://admin.fedoraproject.org/updates/F12/FEDORA-2010-9479

dhcp-4.1.1-22.P1.fc13 has been already pushed to the Fedora 13 testing repository.
https://admin.fedoraproject.org/updates/F13/FEDORA-2010-9433
Comment 4 Fedora Update System 2010-06-09 05:39:33 EDT
dhcp-4.1.1-17.P1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dhcp-4.1.1-17.P1.fc12
Comment 5 Fedora Update System 2010-06-09 05:39:36 EDT
dhcp-4.1.1-22.P1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/dhcp-4.1.1-22.P1.fc13
Comment 6 Fedora Update System 2010-06-10 15:19:56 EDT
dhcp-4.1.1-22.P1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dhcp-4.1.1-22.P1.fc13
Comment 7 Fedora Update System 2010-06-10 15:21:43 EDT
dhcp-4.1.1-17.P1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dhcp-4.1.1-17.P1.fc12
Comment 8 Fedora Update System 2010-06-15 11:56:53 EDT
dhcp-4.1.1-22.P1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-06-18 08:22:35 EDT
dhcp-4.1.0p1-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dhcp-4.1.0p1-6.fc11
Comment 10 Fedora Update System 2010-06-21 09:05:02 EDT
dhcp-4.1.0p1-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dhcp-4.1.0p1-6.fc11
Comment 11 Fedora Update System 2010-06-24 12:19:48 EDT
dhcp-4.1.0p1-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-06-24 12:27:38 EDT
dhcp-4.1.1-17.P1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.